sub pv2000vdp(tad as ubyte, tvl as ubyte):
  asm
    ld a,(ix+7) ;- previously was 6
    ld ($4001),a    ;out ($bf),a
    ld a,(ix+5) ;- previously was 6
    or $80
    ld ($4001),a    ;out ($bf),a
    end asm
  end sub

